Index: c/src/lib/libbsp/i386/go32/clock/rtc.c
===================================================================
--- c/src/lib/libbsp/i386/go32/clock/rtc.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/clock/rtc.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -37,5 +37,4 @@
 
 #include <rtems.h>
-#include <cpu.h>
 #include <memory.h>
 
Index: c/src/lib/libbsp/i386/go32/console/inch.c
===================================================================
--- c/src/lib/libbsp/i386/go32/console/inch.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/console/inch.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -6,5 +6,4 @@
 #include <go32.h>
 #include <bsp.h>
-#include <cpu.h>
 
 /*
Index: c/src/lib/libbsp/i386/go32/console/outch.c
===================================================================
--- c/src/lib/libbsp/i386/go32/console/outch.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/console/outch.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -5,5 +5,4 @@
 #include <go32.h>
 #include <bsp.h>
-#include <cpu.h>
 
 #include <memory.h>
Index: c/src/lib/libbsp/i386/go32/include/bsp.h
===================================================================
--- c/src/lib/libbsp/i386/go32/include/bsp.h	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/include/bsp.h	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -22,5 +22,4 @@
 
 #include <rtems.h>
-#include <cpu.h>
 #include <iosupp.h>
 
@@ -143,5 +142,5 @@
 /* routines */
 
-i386_isr set_vector(
+i386_isr_entry set_vector(
   rtems_isr_entry     handler,
   rtems_vector_number vector,
Index: c/src/lib/libbsp/i386/go32/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/i386/go32/startup/bspstart.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/startup/bspstart.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -23,5 +23,4 @@
 #include <rtems.h>
 #include <bsp.h>
-#include <cpu.h>
 #include <libcsupport.h>
 
Index: c/src/lib/libbsp/i386/go32/startup/setvec.c
===================================================================
--- c/src/lib/libbsp/i386/go32/startup/setvec.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/startup/setvec.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -29,5 +29,5 @@
 #include <go32.h>
 
-i386_isr set_vector(                            /* returns old vector */
+i386_isr_entry set_vector(                      /* returns old vector */
   rtems_isr_entry     handler,                  /* isr routine        */
   rtems_vector_number vector,                   /* vector number      */
@@ -35,5 +35,5 @@
 )
 {
-  i386_isr       previous_isr;
+  i386_isr_entry   previous_isr;
 
   if ( type )  {
@@ -56,8 +56,8 @@
       /* try to restore the ISR.  Can't fix this until i386_isr	is	*/
       /* redefined.  XXX [BHC].						*/
-      previous_isr = (i386_isr) handler_info.pm_offset;
+      previous_isr = (i386_isr_entry) handler_info.pm_offset;
      
       /* install the IDT entry */
-      handler_info.pm_offset   = (int)handler;
+      handler_info.pm_offset   = (u_long)handler;
       handler_info.pm_selector = _go32_my_cs();
       _go32_dpmi_set_protected_mode_interrupt_vector( vector, &handler_info);
Index: c/src/lib/libbsp/i386/go32/timer/timer.c
===================================================================
--- c/src/lib/libbsp/i386/go32/timer/timer.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/timer/timer.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -23,5 +23,4 @@
 
 #include <rtems.h>
-#include <cpu.h>
 #include <bsp.h>
 
@@ -48,18 +47,18 @@
     static int First = 1;
     if ( First )  {
-	/* install ISR */
-	set_vector( timerisr, 0x8, 0 );
+        /* install ISR */
+        set_vector( timerisr, 0x8, 0 );
 
-	/* Wait for ISR to be called at least once */
-	Ttimer_val = 0;
-	while ( Ttimer_val == 0 )
-	    continue;
+        /* Wait for ISR to be called at least once */
+        Ttimer_val = 0;
+        while ( Ttimer_val == 0 )
+            continue;
 
-	/* load timer for 250 microsecond period */
-	outport_byte( TIMER_MODE, TIMER_SEL0|TIMER_16BIT|TIMER_RATEGEN );
-	outport_byte( TIMER_CNTR0, US_TO_TICK(250) >> 0 & 0xff);
-	outport_byte( TIMER_CNTR0, US_TO_TICK(250) >> 8 & 0xff);
+        /* load timer for 250 microsecond period */
+        outport_byte( TIMER_MODE, TIMER_SEL0|TIMER_16BIT|TIMER_RATEGEN );
+        outport_byte( TIMER_CNTR0, US_TO_TICK(250) >> 0 & 0xff);
+        outport_byte( TIMER_CNTR0, US_TO_TICK(250) >> 8 & 0xff);
 
-	First = 0;
+        First = 0;
     }
     Ttimer_val = 0;                           /* clear timer ISR count */
@@ -67,6 +66,6 @@
 }
 
-#define AVG_OVERHEAD	   0  /* 0.1 microseconds to start/stop timer. */
-#define LEAST_VALID	   1  /* Don't trust a value lower than this */
+#define AVG_OVERHEAD       0  /* 0.1 microseconds to start/stop timer. */
+#define LEAST_VALID        1  /* Don't trust a value lower than this */
 
 
@@ -87,9 +86,9 @@
 
     if ( Timer_driver_Find_average_overhead == 1 )
-	return total;
+        return total;
     else if ( total < LEAST_VALID )
-	return 0;		/* below timer resolution */
+        return 0;               /* below timer resolution */
     else
-	return total - AVG_OVERHEAD;
+        return total - AVG_OVERHEAD;
 }
 
Index: c/src/lib/libbsp/i386/go32/timer/timerisr.s
===================================================================
--- c/src/lib/libbsp/i386/go32/timer/timerisr.s	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/lib/libbsp/i386/go32/timer/timerisr.s	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -25,5 +25,7 @@
         EXTERN(_Ttimer_val)
 
-SYM (_timerisr):	
+        PUBLIC(timerisr)
+
+SYM (timerisr):	
  	addl    $250,_Ttimer_val   # another 250 microseconds
 	push	edx
Index: c/src/tests/tmtests/tm05/task1.c
===================================================================
--- c/src/tests/tmtests/tm05/task1.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/tests/tmtests/tm05/task1.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -120,5 +120,5 @@
 
   put_time(
-    "rtems_task_resume self",
+    "rtems_task_suspend self",
     end_time,
     OPERATION_COUNT,
Index: c/src/tests/tmtests/tmck/task1.c
===================================================================
--- c/src/tests/tmtests/tmck/task1.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ c/src/tests/tmtests/tmck/task1.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -157,6 +157,6 @@
        *  consider valid for our testing purposes.
        */
-      printf( "TOO LONG (%d) at %d!!!\n", end_time, index );
-#if defined(unix)
+      printf( "TOO LONG (%d) at index %d!!!\n", end_time, index );
+#if defined(unix) || defined(go32)
       index--; 
       continue;
Index: testsuites/tmtests/tm05/task1.c
===================================================================
--- testsuites/tmtests/tm05/task1.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ testsuites/tmtests/tm05/task1.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -120,5 +120,5 @@
 
   put_time(
-    "rtems_task_resume self",
+    "rtems_task_suspend self",
     end_time,
     OPERATION_COUNT,
Index: testsuites/tmtests/tmck/task1.c
===================================================================
--- testsuites/tmtests/tmck/task1.c	(revision 3ea52882fb00192d09d505ef95011131cc8e8409)
+++ testsuites/tmtests/tmck/task1.c	(revision 4ca27cfad71ba89028c13bcab9b5630a96f914a9)
@@ -157,6 +157,6 @@
        *  consider valid for our testing purposes.
        */
-      printf( "TOO LONG (%d) at %d!!!\n", end_time, index );
-#if defined(unix)
+      printf( "TOO LONG (%d) at index %d!!!\n", end_time, index );
+#if defined(unix) || defined(go32)
       index--; 
       continue;
